#!/bin/bash

rm data.csv
echo "Rank, SOR, RB" >> data.csv

for i in {1..72}
do

    res=$(mpirun -n $i ./exe-ICC dcavity.par 1 | grep "Solution took" | cut -c 14- )
    res2=$(mpirun -n $i ./exe-ICC dcavity.par 2 | grep "Solution took" | cut -c 14- )

    s="$i, $res, $res2" 
    s=${s//"s"/}

    echo $s >> data.csv

done